Method: networks.childPublishers.batchRenegotiateAgreements

Batch renegotiates ChildPublisher agreements (i.e., invite with updated terms).

Only the agreements of rejected or withdrawn ChildPublishers can be renegotiated. Expired, pending, and accepted ChildPublishers will be ignored.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/childPublishers:batchRenegotiateAgreements

Path parameters

Parameters
parent

string

Required. Format: networks/{networkCode}

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (RenegotiateChildPublisherAgreementRequest)
    }
  ]
}
Fields
requests[]

object (RenegotiateChildPublisherAgreementRequest)

Required. The requests to renegotiate ChildPublisher agreements.

Response body

If successful, the response body is empty.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

RenegotiateChildPublisherAgreementRequest

Request message to renegotiate a ChildPublisher's agreement (i.e., invite with updated terms).

JSON representation
{
  "name": string,
  "displayName": string,
  "emailAddress": string,
  "network": string,
  "delegationType": enum (DelegationType),
  "parentRevenueShareMillipercent": string,
  "sellerId": string
}
Fields
name

string

Required. Resource name of the ChildPublisher whose agreement is being renegotiated. Format: networks/{networkCode}/childPublisher/{child_publisher_id}

displayName

string

Optional. The display name to set for the ChildPublisher whose agreement is being renegotiated.

emailAddress

string

Optional. The email address to set for the ChildPublisher whose agreement is being renegotiated.

network

string

Optional. The resource name of the Ad Manager network to set for the ChildPublisher whose agreement is being renegotiated.

This field may not update the ChildPublisher's Ad Manager network if it is already associated with one.

Format: networks/{networkCode}

delegationType

enum (DelegationType)

Optional. The type of delegation to set for the ChildPublisher whose agreement is being renegotiated.

parentRevenueShareMillipercent

string (int64 format)

Optional. The revenue share to set that the parent publisher will receive in millipercent (e.g., 15000 millipercent is %15) for the ChildPublisher whose agreement is being renegotiated.

This field is only settable for Manage Account ChildPublishers of non-reseller parent publishers. Otherwise, it is ignored and always 100%.

sellerId

string

Optional. The seller ID to set for the ChildPublisher whose agreement is being renegotiated.

This field is only applicable to Manage Inventory ChildPublishers.